/***************************************************************************
                          cobjtreeitem.cpp  -  description
                             -------------------
    begin                : Mon May 7 2001
    copyright            : (C) 2001 by Mihnea Balta
    email                : mihnea@tomrad.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cobjtreeitem.h"

CObjTreeItem::CObjTreeItem(void *realobj, int type, CObjectTree *parent,
														CObjTreeItem *after)
								: QListViewItem((QListView*)parent, (QListViewItem *)after){
	obj = realobj;
	objtype = type;
}

CObjTreeItem::CObjTreeItem(void *realobj, int type, CObjectTree *parent)
							: QListViewItem((QListView*)parent){
	obj = realobj;
	objtype = type;
}

CObjTreeItem::CObjTreeItem(void *&realobj, int type, CObjTreeItem *parent,
														CObjTreeItem *after)
							: QListViewItem((QListViewItem *)parent, (QListViewItem *)after){
	obj = realobj;
	objtype = type;
}

CObjTreeItem::CObjTreeItem(void *&realobj, int type, CObjTreeItem *parent)
							: QListViewItem((QListViewItem *)parent){
	obj = realobj;
	objtype = type;
}

CObjTreeItem::~CObjTreeItem(){
}

