/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Apr  9 21:17:56 EEST 2001
    copyright            : (C) 2001 by Mihnea Balta
    email                : mihnea@tomrad.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "dbdesign.h"

#include "plugin.h"

CPlugin crp;

static const char *description =
	I18N_NOOP("DbDesign");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "dbdesign", I18N_NOOP("DbDesign"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, Mihnea Balta", 0, 0, "mihnea@tomrad.ro");
  aboutData.addAuthor("Mihnea Balta",0, "mihnea@tomrad.ro");
  aboutData.addCredit("Will Holland", "Suggested implementation of views");
  aboutData.addCredit("Justin Clift", "PostgreSQL support", "justin@postgresql.org");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  DbDesign *dbdesign = new DbDesign();
  a.setMainWidget(dbdesign);
  dbdesign->show();  

  return a.exec();
}
