/***************************************************************************
                          calphavalidator.h  -  description
                             -------------------
    begin                : Sat May 5 2001
    copyright            : (C) 2001 by Mihnea Balta
    email                : mihnea@tomrad.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALPHAVALIDATOR_H
#define CALPHAVALIDATOR_H

#include <qwidget.h>
#include <qvalidator.h>

/****
  @author Mihnea Balta
  This is a c-style identifier validator. It is used
  	to validate table names, field names, etc.
****/

class CAlphaValidator : public QValidator  {
   Q_OBJECT
public: 
	CAlphaValidator(QWidget *parent=0, const char *name=0);
	~CAlphaValidator();
	State validate(QString &input, int &pos) const;
};

#endif
