/***************************************************************************
                          cfldedit.h  -  description
                             -------------------
    begin                : Sat May 5 2001
    copyright            : (C) 2001 by Mihnea Balta
    email                : mihnea@tomrad.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CFLDEDIT_H
#define CFLDEDIT_H

#include <qwidget.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include "cmetafldedit.h"
#include "ctable.h"
#include "calphavalidator.h"
#include <vector>

/****
  @author Mihnea Balta
  CFldEdit is the field editor.
  It inherits CmetaFldEdit which is a generic object created
  	from cmetafldedit.ui (QTDesigner)
****/

typedef vector<QCheckBox*> cbvect;

class CFldEdit : public CmetaFldEdit  {
   Q_OBJECT
public: 
	CFldEdit(QWidget *parent=0, const char *name=0);
	~CFldEdit();
	cbvect	modifs;
public slots:
	void type_chg();
	void key_type_chg();
private:
	CAlphaValidator *av;
	QIntValidator		*iv;
	void						setcombo(QComboBox *qb, const QString &s);
};

#endif
