/***************************************************************************
                          nullplug.cpp  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Mihnea Balta
    email                : mihnea@tomrad.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "nullplug.h"

const char *getName(){
	return "Standard";
}

int	typecnt(){
	return typecount;
}

const char*	type_name(int idx){
	return typenames[idx];
}

bool has_size(int idx){
	return with_size[idx];
}

bool canbekey(int idx){
	return keytypes[idx];
}

bool validref(int type1, int type2){
	return vrefs[type1][type2];
}

int	modifcnt(){
	return 0;
}

const char* modifname(int){
	//this should never be called
	return 0;
}

int modifmask(int){
	//this should never be called
	return 0;
}

const char* modifval(int){
	//this should never be called
	return 0;
}

int canmodif(int type_idx, int modif_idx){
	return MODIF_ENABLED;
	if( (type_idx>=typecount) || (modif_idx>1) )
	  return MODIF_DISABLED;
	return can_modif[type_idx][modif_idx];
}

bool showable(int idx){
	return visual[idx];
}

unsigned int affinity(){
	return SEQS;
}

bool connect(const char*, int, const char*, const char*, const char*){
	return false;
}

bool exec(const char*){
	return false;
}

void close(){
}

char* last_error(){
	return "Plugin does not support server connections";
}

char** get_databases(const char*, int, const char*, const char*){
	return 0;
}
